import React, {useEffect, useRef} from "react";

/**
 * Custom validation rule in a form.
 */
export function CustomValidationRule({valid, errorMessage}: {
	valid: boolean;
	errorMessage: string;
})
{
	// HTML virtual input ref.
	const ref = useRef<HTMLInputElement>();

	// When the validation is invalid, set a custom error message, set the custom error message.
	useEffect(() => {
		ref.current.setCustomValidity(valid ? "" : errorMessage);
	}, [ref, valid, errorMessage]);

	return (
		<input ref={ref}
		       className={"virtual"} type={"text"} required={true}
		       value={valid ? "true" : ""} onChange={() => {}} />
	);
}
