import React from "react";
import {classes} from "../../Utils";
import {Info} from "@phosphor-icons/react";

/**
 * Simple text tip component.
 */
export function Tip({className, children, ...props}: React.PropsWithChildren<React.HTMLAttributes<HTMLParagraphElement>>)
{
	return (
		<p className={classes("tip", className)} {...props}>
			<Info weight={"duotone"} />

			{children}
		</p>
	);
}
